Subject: Re: bug#30311: efi-less grub install fails

From: Marius Bakke <[email-masked]>
Date: Fri, 23 Feb 2018 12:30:48 +0100

Ricardo Wurmus <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Ricardo: Can you post the output of `find /sys/firmware/efi -maxdepth 1`
>> on the affected machine?  With luck, we'll find a variable that is only
>> present on "real" EFI.
>>
>> Can you also post the contents of '/sys/firmware/efi/runtime'?
>
> Now that I have GuixSD installed on that machine I don’t have
> /sys/firmware/efi at all.  /sys/firmware contains “acpi”, “dmi”, and
> “memmap” only.
>
> The problem occurred when I tried to install GuixSD (after booting from
> a GuixSD installer USB drive), not when reconfiguring.  I don’t have a
> USB drive with me at the moment, so I cannot check the contents of
> /sys/firmware in the installer GuixSD now.

In this case I'm certain that the installer booted in EFI mode, crushing
my dreams of a proper fix.  So we'll need one of the proposed
workarounds to prevent this problem in the future.